<?xml version="1.0" encoding="UTF-8"?>

<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:p="http://www.springframework.org/schema/p"
	xmlns:context="http://www.springframework.org/schema/context"
	xmlns:util="http://www.springframework.org/schema/util"
	xsi:schemaLocation="
        http://www.springframework.org/schema/beans
        http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
        http://www.springframework.org/schema/context
        http://www.springframework.org/schema/context/spring-context-3.0.xsd
        http://www.springframework.org/schema/util
        http://www.springframework.org/schema/util/spring-util-3.0.xsd
        ">

	<bean id="meta_conf_bean" class="org.ow2.weblab.portlet.results.bean.MetaConfBean">
		<property name="properties">
			<map>
				<!-- Documents properties -->
				<entry key="hasNativeContent" value="false" />
				<entry key="hasNormalisedContent" value="false" />
				<entry key="isGeneratedFrom" value="false" />
<!-- 				LMA : do not exist in ontologies ?? -->
<!-- 				<entry key="isProducedFrom" value="true" /> -->
				<entry key="isProducedBy" value="true" />
				<entry key="isExposedAs" value="true" />
				<entry key="gatheringDate" value="true" />
				<entry key="projectName" value="true" />
				<entry key="hasOriginalFileSize" value="true" />
				<entry key="hasOriginalFileName" value="true" />
				<entry key="refersTo" value="true" />
				<entry key="hasThumbnail" value="true" />
				
				<!-- DublinCore properties-->
				<entry key="title" value="true" />
				<entry key="creator" value="true" />
				<entry key="subject" value="true" />
				<entry key="catego" value="true" />
				<entry key="description" value="true" />
				<entry key="publisher" value="true" />
				<entry key="contibutor" value="true" />
				<entry key="date" value="true" />
				<entry key="type" value="false" />
				<entry key="format" value="true" />
				<entry key="identifier" value="true" />
				<entry key="source" value="true" />
				<entry key="language" value="true" />
				<entry key="relation" value="true" />
				<entry key="coverage" value="true" />
				<entry key="right" value="true" />
				<entry key="modified" value="true" />
				<entry key="created" value="true" />
				<entry key="extent" value="true" />
				<entry key="abstract" value="true" />
				
				<!-- FOAF properties -->
				<entry key="thumbnail" value="true"></entry>
				<entry key="name" value="true"></entry>
				
				<!-- RDF properties -->
				<entry key="seeAlso" value="true" />
				
				<!-- Search properties -->
				<entry key="hasRank" value="true" />
				<entry key="hasDescription" value="false" />
				<entry key="hasScore" value="false" />
				<entry key="hasThumbnailSnippet" value="false"/>
				<entry key="isLinkedToRelevantMediaUnit" value="false"/>
				
			</map>
		</property>
	</bean>
</beans>